# SkirentalWebFrontend
Short description and motivation.

## Preconditions
### Install nodejs (minimum Version 8.11.3)
--> see https://github.com/creationix/nvm



### Install required packages
**All following commands must be executed in folder "frontend"** !

```
npm install
```

### Run (for development)
```
ng serve
```

## Build
### Translation
First check package.json at `scripts.extract-i18n`. Does it contain all desired languages as parameters for `xliffmerge` (npm install if not yet installed…)

Then run `npm run extract-i18n`
This command will update `messages.xlf` in `src/i18n` and apply changes to other XLIFF files: `i18n/messages.<locale>.xlf`.

The translation will be done in crowdin and is avaible as branch (`I10n_master`)

### Execute build task
Go back to root directory of `skirental_web_frontend`
Enter: `rake app:angular:build`

### Generate gem
1. Increment `lib/skirental_web_frontend/version.rb` (and version in package.json)
2. Exec `gem build skirental_web_frontend.gemspec`
3. Upload to gemserver.imhosting.de:3000

## Usage
How to use my plugin.

## Installation
Add this line to your application's Gemfile:

```ruby
gem 'skirental_web_frontend'
```

And then execute:
```bash
$ bundle
```

Or install it yourself as:
```bash
$ gem install skirental_web_frontend
```

## Contributing
Contribution directions go here.

## License
The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).
